%{!?dotests: %define dotests 1}
%define name python3-sphinx-removed-in
%define srcname sphinx-removed-in
%define version 0.2.1
%define release 1

%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

Summary: versionremoved and removed-in directives for Sphinx
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
Url:     https://github.com/MrSenko/sphinx-removed-in
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch

BuildRequires: python3 >= 3.7.4-1
BuildRequires: python3-devel >= 3.7.4-1
#sphinx-testing is required to run testcases.

Requires: python3 >= 3.7.4-1
Requires: python3-sphinx >= 2.3.0-1

%description
This is a Sphinx extension which recognizes the versionremoved and removed-in
directives.


%prep
%setup -q -n %{srcname}-%{version}


%build
export OBJECT_MODE=64
python3 setup.py build


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}
rm -rf %{buildroot}%{python_sitelib}/tests

%if %{dotests}
%check
python3 setup.py test || true
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec 31 2019 Reshma V Kumar <reskumar@in.ibm.com> -0.2.1-1
- Initial build for AIX Toolbox
